Index: c/src/lib/libbsp/arm/altera-cyclone-v/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/altera-cyclone-v/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/altera-cyclone-v/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/atsam/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/atsam/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/atsam/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/beagle/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/beagle/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/beagle/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/csb336/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/csb336/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/csb336/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/csb337/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/csb337/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/csb337/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/edb7312/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/edb7312/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/edb7312/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/gdbarmsim/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/gdbarmsim/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/gdbarmsim/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/gumstix/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/gumstix/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/gumstix/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/imx/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/imx/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/imx/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/lm3s69xx/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/lm3s69xx/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/lm3s69xx/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/lpc176x/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/lpc176x/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/lpc176x/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/lpc24xx/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/lpc24xx/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/lpc24xx/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/lpc32xx/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/lpc32xx/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/raspberrypi/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/raspberrypi/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/raspberrypi/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/realview-pbx-a9/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/realview-pbx-a9/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/realview-pbx-a9/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/rtl22xx/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/rtl22xx/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/rtl22xx/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/shared/startup/linkcmds.base
===================================================================
--- c/src/lib/libbsp/arm/shared/startup/linkcmds.base	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/shared/startup/linkcmds.base	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -26,4 +26,5 @@
 
 ENTRY (_start)
+STARTUP (start.o)
 
 /*
Index: c/src/lib/libbsp/arm/smdk2410/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/smdk2410/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/smdk2410/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/stm32f4/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/stm32f4/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/stm32f4/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/tms570/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/tms570/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/tms570/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -EB}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
Index: c/src/lib/libbsp/arm/xilinx-zynq/bsp_specs
===================================================================
--- c/src/lib/libbsp/arm/xilinx-zynq/bsp_specs	(revision b228f55e074f971df8cca21bdad83f69b60c50af)
+++ c/src/lib/libbsp/arm/xilinx-zynq/bsp_specs	(revision bb592695d624742e91f81f9e401b437119639c75)
@@ -1,12 +1,8 @@
 %rename endfile old_endfile
 %rename startfile old_startfile
-%rename link old_link
 
 *startfile:
 %{!qrtems: %(old_startfile)} \
-%{!nostdlib: %{qrtems: start.o%s crti.o%s crtbegin.o%s -e _start}}
-
-*link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N}
+%{!nostdlib: %{qrtems: crti.o%s crtbegin.o%s}}
 
 *endfile:
